Update Agents in Inbox
PATCH
All agents except the one passed in params will be removed
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
application/json- body
inbox_id*stringThe ID of the inbox
user_ids*array<integer>IDs of users to be added to the inbox
Success
application/json- response
payload?array<>Array of all active agents
curl -X PATCH 'https://helpdesk.inclamo.com/api/v1/accounts/0/inbox_members' \ -H 'Content-Type: application/json' \ -d '{ "inbox_id": "string", "user_ids": [ 0 ]}'Example Response
{ "payload": [ { "id": 0, "account_id": 0, "availability_status": "online", "auto_offline": true, "confirmed": true, "email": "string", "available_name": "string", "name": "string", "role": "agent", "thumbnail": "string", "custom_role_id": 0 } ]}